Lists the photos and videos shared into the case, optionally filtered by device or searched by name.
Query parameters
-
Default value is
1. -
Default value is
10. -
If skip/limit not provided, page/perPage will take precedence
-
If skip/limit not provided, page/perPage will take precedence
-
Values are
ascordesc. Default value isasc. -
Filter by device MongoDB id
-
Values are
createdAt,fileName, orexternalId. Default value iscreatedAt.
GET
/case/media/{caseId}
curl \
--request GET 'http://api.example.com/case/media/{caseId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "organization: string"
Response examples (200)
{
"data": {
"total": 42,
"page": 1,
"perPage": 20,
"skip": 0,
"limit": 20,
"totalPages": 3,
"nextPage": 2,
"previousPage": 42.0,
"data": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"externalId": 48213,
"fileName": "IMG_0001.HEIC",
"fileCreatedAt": "2025-06-01T10:00:00.000Z",
"type": 1,
"duration": 0,
"uniformType": "public.heic",
"trashedState": 0,
"album": {
"id": 1,
"name": "Camera Roll"
},
"originalFile": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"thumbnail": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"metadata": {}
}
]
},
"statusCode": 200,
"timestamp": "2026-01-15T10:15:00.000Z"
}